import { OnInit } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { AlgoseekPalette, AlgoseekSize } from '../../../models';
import * as i0 from "@angular/core";
export declare class AlgoseekCheckboxComponent implements ControlValueAccessor, OnInit {
    label: string;
    disabled: boolean;
    color: AlgoseekPalette;
    size: AlgoseekSize;
    private _innerValue;
    private onTouchedCallback;
    private onChangeCallback;
    set value(v: boolean);
    get value(): boolean;
    ngOnInit(): void;
    onBlur(): void;
    writeValue(value: boolean): void;
    onChangeEvent(event: any): void;
    registerOnChange(fn: (_: boolean) => void): void;
    registerOnTouched(fn: () => void): void;
    setDisabledState(isDisabled: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AlgoseekCheckboxComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AlgoseekCheckboxComponent, "algoseek-checkbox", never, { "label": { "alias": "label"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "color": { "alias": "color"; "required": false; }; "size": { "alias": "size"; "required": false; }; }, {}, never, never, true, never>;
}
