import { FormControl, FormGroup } from '@angular/forms';
import { CommunicationMethodLabel, HistoricalPeriodsYear, StreamingLabel, SymbolsLabel } from './order-dataset-form.models';
import * as i0 from "@angular/core";
export declare class OrderDatasetFormComponent {
    #private;
    dataset: any;
    orderDatasetForm: FormGroup;
    symbolOptions: import("@angular/core").WritableSignal<number[]>;
    currentDate: Date;
    streamData: import("@angular/core").WritableSignal<StreamingLabel>;
    symbolData: import("@angular/core").WritableSignal<SymbolsLabel>;
    communicationMethod: import("@angular/core").WritableSignal<CommunicationMethodLabel>;
    isHistoricalDataActive: import("@angular/core").WritableSignal<boolean>;
    isStreamingDataActive: import("@angular/core").WritableSignal<boolean>;
    historicalPeriodsYear: import("@angular/core").WritableSignal<HistoricalPeriodsYear[]>;
    getFormControl(name: string): FormControl;
    constructor();
    historicalDateRange(): void;
    historicalDataChange(event: boolean): void;
    streamingDataChange(event: boolean): void;
    orderDatasetSubmit(): void;
    goBack(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<OrderDatasetFormComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<OrderDatasetFormComponent, "lib-order-dataset-form", never, {}, {}, never, never, true, never>;
}
