import { ChangeDetectorRef, EventEmitter } from '@angular/core';
import { FormControl, FormGroup } from '@angular/forms';
import { ResetPasswordService } from './reset-password.service';
import * as i0 from "@angular/core";
export declare class AlgoseekResetPasswordComponent {
    private _resetPasswordService;
    private _cdr;
    form: FormGroup;
    resetError: string | null;
    get passwordControl(): FormControl;
    get confirmPassword(): FormControl;
    url: string;
    token: string | null;
    method: string;
    actionName: string;
    succesfullReset: EventEmitter<never>;
    constructor(_resetPasswordService: ResetPasswordService, _cdr: ChangeDetectorRef);
    onSubmit({ password }: {
        password: string;
    }): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AlgoseekResetPasswordComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AlgoseekResetPasswordComponent, "algoseek-reset-password", never, { "url": { "alias": "url"; "required": false; }; "token": { "alias": "token"; "required": false; }; "method": { "alias": "method"; "required": false; }; "actionName": { "alias": "actionName"; "required": false; }; }, { "succesfullReset": "succesfullReset"; }, never, never, true, never>;
}
