import { EventEmitter, OnInit } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { AlgoseekSize } from '../../../models';
import * as i0 from "@angular/core";
export declare class AlgoseekInputFieldComponent implements ControlValueAccessor, OnInit {
    label: string;
    disabled: boolean;
    prefix: string;
    suffix: string;
    size: AlgoseekSize;
    type: 'text' | 'number' | 'password' | 'email' | 'tel' | 'url' | 'textarea';
    helperText: string;
    min: number;
    autocomplete: string;
    suffixClicked: EventEmitter<void>;
    private _innerValue;
    private onTouchedCallback;
    private onChangeCallback;
    set value(v: string);
    get value(): string;
    ngOnInit(): void;
    onBlur(): void;
    writeValue(value: string): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
    onInputChange(event: Event): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AlgoseekInputFieldComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AlgoseekInputFieldComponent, "algoseek-input-field", never, { "label": { "alias": "label"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "prefix": { "alias": "prefix"; "required": false; }; "suffix": { "alias": "suffix"; "required": false; }; "size": { "alias": "size"; "required": false; }; "type": { "alias": "type"; "required": false; }; "helperText": { "alias": "helperText"; "required": false; }; "min": { "alias": "min"; "required": false; }; "autocomplete": { "alias": "autocomplete"; "required": false; }; }, { "suffixClicked": "suffixClicked"; }, never, ["*"], true, never>;
}
