import { OnInit } from '@angular/core';
import { ControlValueAccessor, FormControl } from '@angular/forms';
import { MatSelectChange } from '@angular/material/select';
import { Observable } from 'rxjs';
import { AlgoseekSize } from '../../../models';
import * as i0 from "@angular/core";
export declare class AlgoseekSelectComponent implements ControlValueAccessor, OnInit {
    isDisabled: import("@angular/core").WritableSignal<boolean>;
    private _items;
    set items(value: any[]);
    label: string;
    size: AlgoseekSize;
    isMultiple: boolean;
    displayName: string;
    valueKey: string;
    search: boolean;
    disabled: import("@angular/core").InputSignal<boolean>;
    searchCtrl: FormControl<any>;
    filteredItems: Observable<any[]>;
    private _innerValue;
    private onTouchedCallback;
    private onChangeCallback;
    set value(v: string[]);
    get value(): string[];
    constructor();
    ngOnInit(): void;
    onBlur(): void;
    writeValue(value: string[]): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
    change(event: MatSelectChange): void;
    private filterOptions;
    static ɵfac: i0.ɵɵFactoryDeclaration<AlgoseekSelectComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AlgoseekSelectComponent, "algoseek-select", never, { "items": { "alias": "items"; "required": false; }; "label": { "alias": "label"; "required": false; }; "size": { "alias": "size"; "required": false; }; "isMultiple": { "alias": "isMultiple"; "required": false; }; "displayName": { "alias": "displayName"; "required": false; }; "valueKey": { "alias": "valueKey"; "required": false; }; "search": { "alias": "search"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
