import { ElementRef, OnInit } from '@angular/core';
import { FormControl } from '@angular/forms';
import { MatSelectChange } from '@angular/material/select';
import * as i0 from "@angular/core";
export declare class DatasetsListComponent implements OnInit {
    #private;
    uniqueGranularities: string[];
    uniqueAssetClasses: string[];
    uniqueVendors: string[];
    uniqueRegions: string[];
    assetClassFC: FormControl<any>;
    granularityFC: FormControl<any>;
    updateFrequencyFC: FormControl<any>;
    vendorFC: FormControl<any>;
    regionFC: FormControl<any>;
    searchFC: FormControl<string | null>;
    viewDatasets: any[];
    private _originalDatasets;
    set datasets(datasets: any[]);
    updateFrequency: import("@angular/core").InputSignal<{
        display_name: string;
        internal_name: string;
    }[]>;
    filterInput: ElementRef;
    ngOnInit(): void;
    clearFilters(): void;
    filterByKeyword(value: string): void;
    resetKeywordsSearch(): void;
    filterChanges({ value }: MatSelectChange, field: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DatasetsListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DatasetsListComponent, "algoseek-datasets-list", never, { "datasets": { "alias": "datasets"; "required": false; }; "updateFrequency": { "alias": "updateFrequency"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
