import { ChangeDetectorRef, EventEmitter } from '@angular/core';
import { FormControl } from '@angular/forms';
import { ForgotPasswordService } from './forgot-password.service';
import * as i0 from "@angular/core";
export declare class AlgoseekForgotPasswordComponent {
    private _forgotPasswordService;
    private _cdr;
    forgotError: string | null;
    step: number;
    email: FormControl<null>;
    url: string;
    enableSignUp: boolean;
    signUp: EventEmitter<void>;
    constructor(_forgotPasswordService: ForgotPasswordService, _cdr: ChangeDetectorRef);
    onSubmit(email: string | null): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AlgoseekForgotPasswordComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AlgoseekForgotPasswordComponent, "algoseek-forgot-password", never, { "url": { "alias": "url"; "required": false; }; "enableSignUp": { "alias": "enableSignUp"; "required": false; }; }, { "signUp": "signUp"; }, never, never, true, never>;
}
