import { ChangeDetectorRef, EventEmitter } from '@angular/core';
import { FormControl, FormGroup } from '@angular/forms';
import { LoginService } from './login.service';
import * as i0 from "@angular/core";
export declare class AlgoseekLoginComponent {
    private _loginService;
    private _cdr;
    loginError: string | null;
    passwordVisible: boolean;
    passwordIcon: string;
    form: FormGroup;
    loading: boolean;
    get emailControl(): FormControl;
    get passwordControl(): FormControl;
    enableSignUp: import("@angular/core").InputSignal<boolean>;
    showResend: import("@angular/core").InputSignal<boolean>;
    url: import("@angular/core").InputSignal<string | undefined>;
    subtitle: import("@angular/core").InputSignal<string>;
    supportEmail: import("@angular/core").InputSignal<unknown>;
    succesfullLogin: EventEmitter<any>;
    failedLogin: EventEmitter<any>;
    forgotPassword: EventEmitter<void>;
    signUp: EventEmitter<void>;
    resendEmail: EventEmitter<void>;
    handleKeyboardEvent(event: KeyboardEvent): void;
    constructor(_loginService: LoginService, _cdr: ChangeDetectorRef);
    onSubmit({ email, password }: {
        email: string;
        password: string;
    }): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AlgoseekLoginComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AlgoseekLoginComponent, "algoseek-login", never, { "enableSignUp": { "alias": "enableSignUp"; "required": false; "isSignal": true; }; "showResend": { "alias": "showResend"; "required": false; "isSignal": true; }; "url": { "alias": "url"; "required": false; "isSignal": true; }; "subtitle": { "alias": "subtitle"; "required": false; "isSignal": true; }; "supportEmail": { "alias": "supportEmail"; "required": false; "isSignal": true; }; }, { "succesfullLogin": "succesfullLogin"; "failedLogin": "failedLogin"; "forgotPassword": "forgotPassword"; "signUp": "signUp"; "resendEmail": "resendEmail"; }, never, ["[logo]"], true, never>;
}
